IMG_0006.JPG=Assembling the new grill.
IMG_0011.JPG=Assembling the new grill.
IMG_0014.JPG=Seasoning the grill with cheap $2 meat.
IMG_0012.JPG=In place. It's fantastic!
IMG_0007.JPG=Assembling the new grill.
IMG_0010.JPG=Assembling the new grill.
IMG_0009.JPG=Assembling the new grill.
IMG_0008.JPG=Assembling the new grill.
IMG_0005.JPG=Assembling the new grill.
IMG_0013.JPG=In place!
IMG_0004.JPG=Assembling the new grill
